From 07f37381fd0bed852a38ff0090a0254f6c5c4db6 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jul 31 2015 15:22:37 +0000
Subject: [PATCH 195/254] Gray out hub links based on mocked inactivity.


---

diff --git a/hubs/models.py b/hubs/models.py
index 4c6eee2..2808b73 100644
--- a/hubs/models.py
+++ b/hubs/models.py
@@ -124,6 +124,29 @@ class Hub(BASE):
     #fas_group = sa.Column(sa.String(32), nullable=False)
 
     @property
+    def days_idle(self):
+        # TODO -- implement calculating time since this hub was active
+        import random
+        return random.randint(0, 356)
+
+    @property
+    def activity_class(self):
+        idle = self.days_idle
+        limits = [
+            (356 * 5,   '5years'),
+            (356 * 2,   '2years'),
+            (356,       'year'),
+            (31 * 3,    'quarter'),
+            (31,        'month'),
+            (7,         'week'),
+            (1,         'day'),
+            (0,         'none'),
+        ]
+        for limit, name in limits:
+            if idle > limit:
+                return name
+
+    @property
     def owners(self):
         return [assoc.user for assoc in self.associations
                 if assoc.role == 'owner']
